MatrixImportAsciiCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixImportAsciiCommand:

## Public Member Functions

| MatrixImportAsciiCommand (const QString &fname, const QString &sep, int ignoredLines, bool stripSpaces, bool simplifySpaces, const QString &commentString, Matrix::ImportMode importAs, const QLocale &locale, int endLineChar, int maxRows, MatrixModel *model, int startRow, int endRow, int startCol, int endCol, double *data, const QString &text)
virtual void | redo ()
Public Member Functions inherited from MatrixUndoCommand
| MatrixUndoCommand (MatrixModel *model, Matrix::Operation op, int startRow, int endRow, int startCol, int endCol, double *data, const QString &text)
virtual void | undo ()
| ~MatrixUndoCommand ()

## Private Attributes

QString | d_comment
int | d_end_line
int | d_ignore_lines
QLocale | d_locale
int | d_max_rows
Matrix::ImportMode | d_mode
QString | d_path
QString | d_sep
bool | d_simplify_spaces
bool | d_strip_spaces

## Additional Inherited Members

Protected Attributes inherited from MatrixUndoCommand
double * | d_data
int | d_end_col
int | d_end_row
MatrixModel * | d_model
Matrix::Operation | d_operation
int | d_start_col
int | d_start_row

## Constructor & Destructor Documentation

## MatrixImportAsciiCommand()

MatrixImportAsciiCommand::MatrixImportAsciiCommand | ( | const QString & | fname,
|  | const QString & | sep,
|  | int | ignoredLines,
|  | bool | stripSpaces,
|  | bool | simplifySpaces,
|  | const QString & | commentString,
|  | Matrix::ImportMode | importAs,
|  | const QLocale & | locale,
|  | int | endLineChar,
|  | int | maxRows,
|  | MatrixModel * | model,
|  | int | startRow,
|  | int | endRow,
|  | int | startCol,
|  | int | endCol,
|  | double * | data,
|  | const QString & | text
| ) |  |

## Member Function Documentation

## redo()

void MatrixImportAsciiCommand::redo | ( |  | ) |

virtual

Reimplemented from MatrixUndoCommand.

References d_comment, d_end_line, d_ignore_lines, d_locale, d_max_rows, d_mode, MatrixUndoCommand::d_model, d_path, d_sep, d_simplify_spaces, d_strip_spaces, and MatrixModel::importASCII().

## Member Data Documentation

## d_comment

QString MatrixImportAsciiCommand::d_comment

private

Referenced by redo().

## d_end_line

int MatrixImportAsciiCommand::d_end_line

private

Referenced by redo().

## d_ignore_lines

int MatrixImportAsciiCommand::d_ignore_lines

private

Referenced by redo().

## d_locale

QLocale MatrixImportAsciiCommand::d_locale

private

Referenced by redo().

## d_max_rows

int MatrixImportAsciiCommand::d_max_rows

private

Referenced by redo().

## d_mode

Matrix::ImportMode MatrixImportAsciiCommand::d_mode

private

Referenced by redo().

## d_path

QString MatrixImportAsciiCommand::d_path

private

Referenced by redo().

## d_sep

QString MatrixImportAsciiCommand::d_sep

private

Referenced by redo().

## d_simplify_spaces

bool MatrixImportAsciiCommand::d_simplify_spaces

private

Referenced by redo().

## d_strip_spaces

bool MatrixImportAsciiCommand::d_strip_spaces

private

Referenced by redo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp